# utiliyo

## Introduction

**utiliyo** is a lightweight utility library designed to simplify common tasks in JavaScript development. It provides a set of well-structured and reusable functions that enhance productivity and code maintainability.

## Installation

You can install **utiliyo** using either `npm` or `yarn` from my private registry:

```bash
# Using npm
npm install --save @flare/utiliyo --registry https://lab.code-rove.com/public-node-registry

# Using yarn
yarn add @flare/utiliyo --registry https://lab.code-rove.com/public-node-registry
```

## Usage

Import and use the utility functions in your project:

```javascript
import { typeValidator, localStorage, camelizeKeys } from "@flare/utiliyo";
```

## Features

- **Type Validation** – Validate data types efficiently.
- **Local Storage Utilities** – Simplify interactions with `localStorage`.
- **Data Formatting** – Includes functions like `camelizeKeys` to transform object keys.

## Unit Testing

All utilities are rigorously tested using [Jest](https://jestjs.io/), a powerful testing framework developed by Facebook.

- Test files follow the naming convention `*.test.ts`.
- Run all tests with:

```bash
npm test
```

## Changelog

#### v1.2.0

- Rebranded package from `js-utils` to `utiliyo`.

#### v1.1.0

- Migrated the package to TypeScript.
- Added unit tests using Jest.

#### v1.0.4

- Introduced the `camelizeKeys` function.

#### v1.0.3

- Fixed TypeScript warnings.

#### v1.0.2

- Fixed issues with utility function exports.

#### v1.0.1

- Updated domain configurations.

#### v1.0.0

- Initial release with data type validators and local storage utilities.

---

For further details, contributions, or issue reporting, visit the [repository](https://lab.code-rove.com/gitea/bricks/utiliyo).
